Package Details: qtcreator-git v4.9.1.r864.g611e1ea837-1

Git Clone URL: https://aur.archlinux.org/qtcreator-git.git (read-only)
Package Base: qtcreator-git
Description: Lightweight, cross-platform integrated development environment
Upstream URL: https://www.qt.io
Licenses: LGPL
Conflicts: qbs, qtcreator
Provides: qbs, qtcreator
Submitter: delor
Maintainer: rodrigo21 (hunger)
Last Packager: rodrigo21
Votes: 31
Popularity: 0.110610
First Submitted: 2009-04-12 14:35
Last Updated: 2019-06-06 12:33

Dependencies (23)

Required by (32)

Sources (3)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

Omid commented on 2013-02-26 11:50

For xmlpatterns problem: Just make a symbolic link of /usr/bin/xmlpatterns to /opt/qt5/bin

plfiorini commented on 2013-02-26 10:09

My packages are working: https://github.com/hawaii-desktop/aur
Binaries for x86_64: http://www.maui-project.org/download

plfiorini commented on 2013-02-26 10:06

This is a qt5-qtxmlpatterns-git failure in fact in my git copy I've fixed since months. I'm sending a correction.

jimmy00784 commented on 2013-02-25 05:39

/opt/qt5/bin/xmlpatterns seems to be missing and doesn't get installed with qt5-qtxmlpatterns-git for some reason. Can't proceed with installation.

plfiorini commented on 2013-02-23 12:43

You don't have qt5-qtxmlpatterns-git installed, do you?
Please check this out:
pacman -Q | grep xmlpatterns

Anonymous comment on 2013-02-04 05:37

Hi there. I'm facing this issue when I try to compile it:

/opt/qt5/bin/xmlpatterns -no-format -output Core.json /tmp/yaourt-tmp-cotti/aur-qtcreator-for-qt5-git/src/qt-creator/src/pluginjsonmetadata.xsl /tmp/yaourt-tmp-cotti/aur-qtcreator-for-qt5-git/src/build/src/plugins/coreplugin/Core.pluginspec

make[3]: /opt/qt5/bin/xmlpatterns: Command not found
make[3]: ** [Core.json] Error 127
make[3]: Leaving directory `/tmp/yaourt-tmp-cotti/aur-qtcreator-for-qt5-git/src/build/src/plugins/coreplugin'
make[2]: ** [sub-coreplugin-make_first] Error 2
make[2]: Leaving directory `/tmp/yaourt-tmp-cotti/aur-qtcreator-for-qt5-git/src/build/src/plugins'
make[1]: ** [sub-plugins-make_first-ordered] Error 2
make[1]: Leaving directory `/tmp/yaourt-tmp-cotti/aur-qtcreator-for-qt5-git/src/build/src'
make: ** [sub-src-make_first-ordered] Error 2

plfiorini commented on 2013-01-16 20:57

Not sure because I don't work with BB10 but you should be able to do it with this version (provided that you install Qt 4 from the official ArchLinux packages): http://qt-project.org/wiki/Qt-Creator-with-BlackBerry-10

I'll be glad to add what might be missing from this PKGBUILD if you can tell me exactly what it's needed.

Anonymous comment on 2013-01-16 20:48

Hi!

This version works grate with QT5, but not with BB 10 development.

Maybe somebody has an idea how to install this qtcreator and qtcreator 2.6.1 alongside?

plfiorini commented on 2012-12-08 18:22

It builds now, with latest qtbase.

Anonymous comment on 2012-11-27 04:10

Quick workaround/hack:
From qtbase/src/corelib/kernel/qcoreapplication.h,
simply copy and paste the Type enum:
enum Type {
Tty,
GuiClient,
GuiServer // # deprecated
};
into the qtsingleapplication.h file mentioned in my previous post.